<!DOCTYPE html>
<html>
<head>
<link rel="stylesheet" href="style.css">
</head>
<body>
<div class=center>
<button class=button onclick="generate()">Generate, please</button>
<p></p>

<div class="results" id="gen"></div>

</div>

<script>
var pronome = ["I", "You", "He", "She", "We", "You", "They"];
var tense = ["Present Simple", "Present Continious", "Present Perfect", "Past Simple", "Past Continious", "Past Perfect", "Future Simple", "Future Continious", "Future Perfect", "Present Perfect Continious", "Past Perfect Continious", "Future Perfect Continious"];
var affirm = ["", "", "", " + negative"];
var quest = ["", "", " + question"];

function generate() 
{
document.getElementById("gen").innerHTML = "";
var Temp = document.getElementById("gen").innerHTML;
for (var n = 1; n <= 10; n++) 
	{
  	Temp += pronome[Math.floor(Math.random()*pronome.length)] + " + " + tense[Math.floor(Math.random()*tense.length)] + affirm[Math.floor(Math.random()*affirm.length)] + quest[Math.floor(Math.random()*quest.length)] + "<br>";
  	document.getElementById("gen").innerHTML = Temp;
	}
}
</script>
</body>
</html>

